Name:		mageiawelcome
Version:	1.13
Release:	%mkrel 1
Summary:	%{_vendor} welcome screen
# Source from http://gitweb.mageia.org/software/mageiawelcome
Source:		http://gitweb.mageia.org/software/mageiawelcome/snapshot/%{name}-%{version}.tar.xz
Group:		System/Configuration
License:	GPLv3
URL:		http://www.mageia.org/
BuildArch:	noarch
BuildRequires:	intltool
Requires:	python3-gobject3

%description
%{_vendor} Welcome Screen shows important information of the %{_os} distribution.

%prep
%autosetup

%build
intltool-merge -d ./po ./usr/share/applications/%{name}.desktop.in ./usr/share/applications/%{name}.desktop

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}/css
mkdir -p %{buildroot}%{_datadir}/%{name}/img
mkdir -p %{buildroot}%{_datadir}/%{name}/js
install -m0755 usr/bin/%{name} %{buildroot}%{_bindir}
install -m0755 usr/bin/%{name}-launcher %{buildroot}%{_bindir}
make install
cp -r  usr/share/mageiawelcome/* %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cp etc/xdg/autostart/%{name}.desktop %{buildroot}%{_sysconfdir}/xdg/autostart
# desktop menu entry
mkdir -p %{buildroot}%{_datadir}/applications
cp ./%{_datadir}/applications/%{name}.desktop %{buildroot}%{_datadir}/applications

%find_lang %{name}

%files -f %{name}.lang
%doc LICENSE
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_bindir}/%{name}-launcher
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}


%changelog
* Mon Jul 24 2017 akien <akien> 1.13-1.mga6
+ Revision: 1130297
- Version 1.13, typo fix and translation update
- Version 1.12
  o Update identification of desktop environments (mga#21229)
  o Add internationalization of some URLs

* Mon Jul 10 2017 akien <akien> 1.11-1.mga6
+ Revision: 1109630
- Version 1.11, removes Skype

* Thu Jul 06 2017 tmb <tmb> 1.10-1.mga6
+ Revision: 1109140
- translation updates

* Sat May 13 2017 neoclust <neoclust> 1.9-1.mga6
+ Revision: 1100877
- Workaround display glitch on Gnome Wayland (mga#20681)

* Mon Mar 13 2017 akien <akien> 1.8-1.mga6
+ Revision: 1092447
- Version 1.8 (translations updates)

* Fri Mar 25 2016 ennael <ennael> 1.7-1.mga6
+ Revision: 995340
- New design (Animtim)

* Wed Feb 03 2016 tv <tv> 1.6-1.mga6
+ Revision: 934165
- fix invisible checkboxes

* Fri Jan 29 2016 ns80 <ns80> 1.5-1.mga6
+ Revision: 928709
- some bugs fixed (mga#15127, mga#17277, mga#17561)
- several updated translations

* Tue Jan 19 2016 tv <tv> 1.4-1.mga6
+ Revision: 925749
- switch from python2 to python3
- do not use and require simplejson anymore
- some bugs fixed (mga#17498, mga#17431)
- lot of updated translations

* Sun Dec 06 2015 tarakbumba <tarakbumba> 1.2-2.mga6
+ Revision: 908611
-Require python-gi (mga#17284)

* Mon Nov 30 2015 tv <tv> 1.2-1.mga6
+ Revision: 907266
- fix unneeded scrollbars (mga#16976)

* Tue Sep 29 2015 tv <tv> 1.1-1.mga6
+ Revision: 884935
- fix run (mga#16834)

* Thu Sep 24 2015 tv <tv> 1.0-1.mga6
+ Revision: 883286
- port to gtk+3 and WebKit2 (mga#15030)

  + alexl <alexl>
    - add intltool for generating desktop file from template

* Sun May 17 2015 neoclust <neoclust> 0.8.20-1.mga5
+ Revision: 822227
- New version 0.8.20

* Sat May 09 2015 akien <akien> 0.8.18-1.mga5
+ Revision: 821600
- Version 0.8.18:
- "Office" category added (mga#15885)
- Fix "window too big" issue (mga#15882)

* Fri May 01 2015 marja <marja> 0.8.16-1.mga5
+ Revision: 820991
- XBMC was renamed to Kodi

* Mon Apr 27 2015 tarakbumba <tarakbumba> 0.8.15-1.mga5
+ Revision: 820794
- New version 0.8.15
- Fix dislaying correct desktop (mga#12974)

* Fri Apr 10 2015 marja <marja> 0.8.14-1.mga5
+ Revision: 820040
- Add Albanian, Chinese simplified and Scottich Gaelic
- Update translations

* Thu Feb 19 2015 tv <tv> 0.8.13-1.mga5
+ Revision: 816002
- autostart in liveCD/DVD

* Thu Feb 05 2015 marja <marja> 0.8.12-1.mga5
+ Revision: 813553
- new version with License file
- New version by napcok, Doclink changed

* Fri Jan 02 2015 tv <tv> 0.8.10-1.mga5
+ Revision: 808061
- add link to documentation
- fix links (mga4 -> mga5)
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 0.8.9-3.mga5
+ Revision: 745668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.9-2.mga5
+ Revision: 682130
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 malo <malo> 0.8.9-1.mga5
+ Revision: 659173
- update to 0.8.9

* Sun Jun 22 2014 doktor5000 <doktor5000> 0.8.8-2.mga5
+ Revision: 638690
- add Requires on python-gtk

* Sun Jan 26 2014 malo <malo> 0.8.8-1.mga4
+ Revision: 568377
- 0.8.8 with new translations and fix for icon in GNOME (mga#12409)

* Tue Jan 07 2014 malo <malo> 0.8.5-1.mga4
+ Revision: 565316
- 0.8.5 with updated translations

* Sun Dec 29 2013 malo <malo> 0.8.4-1.mga4
+ Revision: 562984
- update to 0.8.4

* Sat Dec 07 2013 ennael <ennael> 0.8.3-1.mga4
+ Revision: 555818
- add more languages
- improved look'n feel
- various bug fixes

* Mon Nov 11 2013 malo <malo> 0.8.2-1.mga4
+ Revision: 550546
- update to 0.8.2 (patch from napcok)

* Wed Nov 06 2013 tmb <tmb> 0.8.1-1.mga4
+ Revision: 549824
- update to 0.8.1

* Mon Oct 21 2013 umeabot <umeabot> 0.8-2.mga4
+ Revision: 537850
- Mageia 4 Mass Rebuild

  + ovitters <ovitters>
    - new version 0.8

* Fri Sep 27 2013 malo <malo> 0.7-1.mga4
+ Revision: 488004
- new version 0.7

* Thu Sep 26 2013 tmb <tmb> 0.6-1.mga4
+ Revision: 487029
- update to 0.6

* Tue Sep 17 2013 neoclust <neoclust> 0.5-1.mga4
+ Revision: 480978
- New version 0.5

* Wed Aug 28 2013 kamil <kamil> 0.3-2.mga4
+ Revision: 472673
- imported package mageiawelcome

